Get Available Tools
curl --request GET \
--url https://config.heyhumm.ai/api/integration-sources/{source_id}/available-tools \
--header 'Authorization: Bearer <token>'import requests
url = "https://config.heyhumm.ai/api/integration-sources/{source_id}/available-tools"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://config.heyhumm.ai/api/integration-sources/{source_id}/available-tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Get Available Tools
Get all available tools for an integration source with their enablement status.
Returns both Composio essential tools and custom tools from the template, along with whether each tool is currently enabled.
GET
/
api
/
integration-sources
/
{source_id}
/
available-tools
Get Available Tools
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Response
Successful Response
⌘I